SDL_JoyBallEvent Struct Reference

Joystick trackball motion event structure (event.jball.*) More...

`#include <SDL_events.h>`

## Data Fields

Uint32 | type
Uint32 | timestamp
SDL_JoystickID | which
Uint8 | ball
Uint8 | padding1
Uint8 | padding2
Uint8 | padding3
Sint16 | xrel
Sint16 | yrel

## Detailed Description

Joystick trackball motion event structure (event.jball.*)

Definition at line 292 of file SDL_events.h.

## Field Documentation

Uint8 SDL_JoyBallEvent::ball

The joystick trackball index

Definition at line 297 of file SDL_events.h.

Referenced by loop(), and SDLTest_PrintEvent().

Uint8 SDL_JoyBallEvent::padding1

Definition at line 298 of file SDL_events.h.

Uint8 SDL_JoyBallEvent::padding2

Definition at line 299 of file SDL_events.h.

Uint8 SDL_JoyBallEvent::padding3

Definition at line 300 of file SDL_events.h.

Uint32 SDL_JoyBallEvent::timestamp

Definition at line 295 of file SDL_events.h.

Uint32 SDL_JoyBallEvent::type

SDL_JOYBALLMOTION

Definition at line 294 of file SDL_events.h.

SDL_JoystickID SDL_JoyBallEvent::which

The joystick instance id

Definition at line 296 of file SDL_events.h.

Referenced by loop(), and SDLTest_PrintEvent().

Sint16 SDL_JoyBallEvent::xrel

The relative motion in the X direction

Definition at line 301 of file SDL_events.h.

Referenced by loop(), and SDLTest_PrintEvent().

Sint16 SDL_JoyBallEvent::yrel

The relative motion in the Y direction

Definition at line 302 of file SDL_events.h.

Referenced by loop(), and SDLTest_PrintEvent().

The documentation for this struct was generated from the following file:

- include/SDL_events.h